View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009968CMakeCMakepublic2009-11-25 04:192010-12-12 11:16
ReporterPeter Kluger 
Assigned ToAlex Neundorf 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.4Fixed in Version 
Summary0009968: Eclipse CDT Project File overwritten by '-G "Eclipse CDT4 - Unix Makefiles"'
DescriptionI recently start using eclipse in our project and am very happy how it
works with the CMake Eclipse CDT 4.0 generator.
Unfortunately, every time i recall cmake it writes the .project
(+.cproject) file for eclipse and overwrites my personal settings within
that file prior set, like when i set extra make parameters (gmake -j 10 -k).
Additional Information1. Using the Wikipage http://www.cmake.org/Wiki/CMake:Eclipse_UNIX_Tutorial [^] "Option 0000002" also solves the problem for now, but it would be a good feature if the
'cmake -G "Eclipse CDT4..." ..'
could offer this function instead of calling
'cmake -G "UNIX Makefile" ..'

2. After the response of Alex Neundorf (a.neundorf-work@gmx.net) from the mailing-list, who suggested to report this to the bug-tracker, i am now doing so.
TagsNo tags attached.
Attached Filesdiff file icon cmake-eclipse-make-flags.diff [^] (1,033 bytes) 2010-01-30 18:57 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to 0009930closedAlex Neundorf Eclipse generator: enable parallel builds ? 

-  Notes
(0019372)
Artyom Smirnov (reporter)
2010-01-30 18:56

I am suffering with this problem too. CMake resets all my make flags in eclipse project after changes in build scripts. For myself I made a small patch that adds the argument CMAKE_ECLIPSE_MAKE_FLAGS and substitutes its value in org.eclipse.cdt.make.core.build.target.inc. How about adding something to cmake? Also may be other IDE's parameters can be added to cmake generator, and other IDEs like VS and XCode need something like this too.
(0023820)
David Cole (manager)
2010-12-08 16:08

Closed at the CMake 2.8.4 bug triage meeting, Dec. 8, 2010.

Partially addressed instead when related issue 9930 is fixed.
(0023904)
Alex Neundorf (developer)
2010-12-12 11:16

See 0009930.
This is now in the next branch on staging and should go into 2.8.4.
There is now a cmake cache variable CMAKE_ECLIPSE_MAKE_ARGUMENTS. So, run cmake and let it generate the Eclipse project, then run make edit_cache or cmake-gui, and enter the make arguments you want (e.g. "-j10 -k") in CMAKE_ECLIPSE_MAKE_ARGUMENTS.
This should do what you want.

Alex

- Issue History
Date Modified Username Field Change
2009-11-25 04:19 Peter Kluger New Issue
2009-11-25 08:18 Bill Hoffman Status new => assigned
2009-11-25 08:18 Bill Hoffman Assigned To => Alex Neundorf
2009-11-25 13:23 Alex Neundorf Assigned To Alex Neundorf => Miguel Figueroa
2010-01-30 18:56 Artyom Smirnov Note Added: 0019372
2010-01-30 18:57 Artyom Smirnov File Added: cmake-eclipse-make-flags.diff
2010-11-10 13:09 David Cole Target Version => CMake 2.8.4
2010-12-08 16:07 David Cole Relationship added related to 0009930
2010-12-08 16:08 David Cole Note Added: 0023820
2010-12-08 16:08 David Cole Status assigned => closed
2010-12-08 16:08 David Cole Resolution open => won't fix
2010-12-12 11:16 Alex Neundorf Assigned To Miguel Figueroa => Alex Neundorf
2010-12-12 11:16 Alex Neundorf Note Added: 0023904
2010-12-12 11:16 Alex Neundorf Status closed => feedback
2010-12-12 11:16 Alex Neundorf Resolution won't fix => reopened
2010-12-12 11:16 Alex Neundorf Status feedback => closed
2010-12-12 11:16 Alex Neundorf Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker